using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioFaturaItens
    {
        public IList<entidadeFaturaItens> Select(entidadeFaturaItens objFaturaItens)
        {
            dalFaturaItens dalFaturaItens = null;

            var lstNf = new List<entidadeFaturaItens>();
            DataTable dt = null;

            try
            {
                dalFaturaItens = new dalFaturaItens();
                dt = dalFaturaItens.Select(objFaturaItens);

                foreach (DataRow dr in dt.Rows)
                {
                    objFaturaItens = new entidadeFaturaItens();

                    if (!Convert.IsDBNull(dr["CODIGO"]))
                        objFaturaItens.CODIGO = dr["CODIGO"].ToString();

                    if (!Convert.IsDBNull(dr["NOME"]))
                        objFaturaItens.NOME = dr["NOME"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR"]))
                        objFaturaItens.VALOR = Convert.ToDouble(dr["VALOR"]);

                    if (!Convert.IsDBNull(dr["GRUPO"]))
                        objFaturaItens.GRUPO = dr["GRUPO"].ToString();

                    if (!Convert.IsDBNull(dr["ZONA"]))
                        objFaturaItens.ZONA = dr["ZONA"].ToString();

                    if (!Convert.IsDBNull(dr["IDUSUARIO"]))
                        objFaturaItens.IDUSUARIO = Convert.ToInt32(dr["IDUSUARIO"]);

                    lstNf.Add(objFaturaItens);
                }
                return lstNf;
            }
            catch (Exception)
            {
                throw;
            }
        }
  

        public void Insert(entidadeFaturaItens objFaturaItens)
        {
            dalFaturaItens dalFaturaItens = null;

            try
            {
                dalFaturaItens = new dalFaturaItens();

                dalFaturaItens.Insert(objFaturaItens);
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
